SSS_USERMOD(8)

NAME
sss_usermod - Modifica una cuenta de usuario

SYNOPSIS

sss_usermod [options] LOGIN

DESCRIPCION

sss_usermod modifica la cuenta especificada por LOGIN para reflejar los cambios que se han especificado en la línea de comando.

OPCIONES

-c,--gecos COMENTARIO
    Cualquier cadena de texto describiendo al usuario. Frecuentemente se usa como el campo para el nombre completo del usuario.

-h,--home HOME_DIR
    El directorio principal de la cuenta de usuario.

-s,--shell SHELL
    Shell de inicio de sesión del usuario.

-a,--append-group GROUPS
    Añade este usuario a los grupos especificados por el parámetro GROUPS. El parámetro GROUPS es una lista separada por comas de nombres de grupo.

-r,--remove-group GROUPS
    Borrar este usuario de los grupos especificados por el parámetro GROUPS.

-l,--lock
    Bloquea la cuenta de usuario. El usuario no será capaz de acceder.

-u,--unlock
    Desbloquea la cuenta de usuario.

-Z,--selinux-user SELINUX_USER
    El usuario SELinux para el acceso del usuario.

--addattr ATTR_NAME_VAL
    Add an attribute/value pair. The format is attrname=value.

--setattr ATTR_NAME_VAL
    Set an attribute to a name/value pair. The format is attrname=value. For multi-valued attributes, the command replaces the values already present

--delattr ATTR_NAME_VAL
    Delete an attribute/value pair. The format is attrname=value.

-?,--help
    Muestra mensaje de ayuda y sale.

EL DOMINIO LOCAL

Con el objetivo de que funcione correctamente, se debe crear un dominio con “id_provider=local” y el SSSD debe estar corriendo.

El administrador puede desear usar los usuarios locales SSSD en lugar de los usuarios tradicionales UNIX en los casos donde los grupos anidados (vea sss_groupadd(8)) sean necesarios. Los usuarios locales son también útiles para la prueba y el desarrollo del SSSD sin tener que desplegar un servidor remoto completo. Las herramientas sss_user* y sss_group* usan un almacenamiento LDB local para almacenar usuarios y grupos.

VEA TAMBIEN

sssd(8), sssd.conf(5), sssd-ldap(5), sssd-krb5(5), sssd-simple(5), sssd-ipa(5), sssd-ad(5), sssd-sudo(5), sssd-session-recording(5), sss_cache(8), sss_debuglevel(8), sss_groupadd(8), sss_groupdel(8), sss_groupshow(8), sss_groupmod(8), sss_useradd(8), sss_userdel(8), sss_usermod(8), sss_obfuscate(8), sss_seed(8), sssd_krb5_locator_plugin(8), sss_ssh_authorizedkeys(8), sss_ssh_knownhostsproxy(8), sssd-ifp(5), pam_sss(8). sss_rpcidmapd(5)

AUTHORS

The SSSD upstream - https://pagure.io/SSSD/sssd/